import request from '/@/utils/request';
export function goodsAndEquipmentApi() {
	return {
		// 设备设施类型管理 查询单条数据
		getGoodsEquipmentData: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/safeMaterial/page/list`,
				method: 'post',
				data
			});
		},
		getAllSafetyEquipment: () => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/classify/list`,
				method: 'post',
			});
		},
		getAllSafetyEquipmentByPage: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/classify/page/list`,
				method: 'post',
				data
			});
		},
		addGoodsEquipment: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/safeMaterial/save`,
				method: 'post',
				data
			});
		},
		updateGoodsEquipment: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/safeMaterial/update`,
				method: 'post',
				data
			});
		},
		deleteGoodsEquipment: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/safeMaterial/delete`,
				method: 'post',
				data
			});
		},
		addGoodsClassify: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/classify/save`,
				method: 'post',
				data
			});
		},
		updateGoodsClassify: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/classify/update`,
				method: 'post',
				data
			});
		},
		deleteGoodsClassify: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/classify/delete`,
				method: 'post',
				data
			});
		},
		batchInStorageGoods: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/saveBatch`,
				method: 'post',
				data
			});
		},
		batchOutStorageGoods: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/batch/delivery/random`,
				method: 'post',
				data
			});
		},
	}
}
